Bug 16594 - Orders by fund report has wrong link to css and other issues
Summary: Orders by fund report has wrong link to css and other issues
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Keywords:
Depends on: 11371
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-25 17:29 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16594: Orders by fund report has wrong link to css and other issues (3.12 KB, patch)
2016-05-26 14:43 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16594: Orders by fund report has wrong link to css and other issues (3.18 KB, patch)
2016-05-27 13:13 UTC, s.paltineanu
Details | Diff | Splinter Review
Bug 16594: Orders by fund report has wrong link to css and other issues (3.25 KB, patch)
2016-06-11 13:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16594: Fix obvious QA issues from bug 11371 (2.11 KB, patch)
2016-06-11 13:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-05-25 17:29:25 UTC
Orders by fund has wrong link to css and other issues

-> The example in the wiki is wrong: <https://wiki.koha-community.org/wiki/DataTables_HowTo>

<link rel="stylesheet" type="text/css" href="[% themelang %]/css/datatables.css" />
  [% INCLUDE 'datatables.inc' %]

-> Must be:
<link rel="stylesheet" type="text/css" href="[% interface %]/[% theme %]/css/datatables.css" />

NOTE: Wiki needs to be updated

-> Missing <th></th> in <tfoot> tag

-> Wrong word used "Date deceived" should be "Date received"
Comment 1 Héctor Eduardo Castro Avalos 2016-05-26 14:43:08 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-05-26 15:29:09 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #1)

> NOTE: Wiki needs to be updated

I have updated the wiki.
Comment 3 s.paltineanu 2016-05-27 13:13:09 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2016-06-06 19:14:21 UTC
Still applies...
Comment 5 Jonathan Druart 2016-06-11 13:33:16 UTC
Created attachment 52256 [details] [review]
Bug 16594: Orders by fund report has wrong link to css and other issues

Orders by fund has wrong link to css and other issues
-> The example in the wiki is wrong: <https://wiki.koha-community.org/wiki/DataTables_HowTo>
<link rel="stylesheet" type="text/css" href="[% themelang %]/css/datatables.css" />
  [% INCLUDE 'datatables.inc' %]
-> Must be:
<link rel="stylesheet" type="text/css" href="[% interface %]/[% theme %]/css/datatables.css" />
-> Missing <th></th> in <tfoot> tag
-> Wrong word used "Date deceived" should be "Date received"

NOTE: Wiki needs to be updated

To test:
-Look the code and notice about if else cluase without curly brackets
-Go to Reports > Orders by fund
-Play with: in filters 'All fund' Output: 'to screen into the browser'
-You will see a DataTable displayed in screen clutter
-Notice about 'Date deceived' and the foot of table
-Apply patch
-Refresh or execute again the report

Signed-off-by: Sinziana <s.paltineanu@berlin.bard.edu>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-06-11 13:33:19 UTC
Created attachment 52257 [details] [review]
Bug 16594: Fix obvious QA issues from bug 11371

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2016-06-17 14:54:38 UTC
Pushed to master for Koha 16.11, thanks Hector, Jonathan!
Comment 8 Frédéric Demians 2016-06-24 05:46:53 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 9 Julian Maurice 2016-07-01 07:07:22 UTC
Not needed in 3.22.x